Skip to main content
`Ctrl`+`K`

# DMPlexMatSetClosure

Set an array of the values on the closure of ‘point’

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMatSetClosure(DM dm, PetscSection section, PetscSection globalSection, Mat A, PetscInt point, const PetscScalar values[], InsertMode mode)

Not collective

## Input Parameters

- dm - The `DM`

- section - The section describing the layout in `v`, or `NULL` to use the default section

- globalSection - The section describing the layout in `v`, or `NULL` to use the default global section

- A - The matrix

- point - The point in the `DM`

- values - The array of values

- mode - The insert mode, where `INSERT_ALL_VALUES` and `ADD_ALL_VALUES` also overwrite boundary conditions

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexMatSetClosureGeneral()`, `DMPlexVecGetClosure()`, `DMPlexVecSetClosure()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

## Implementations

DMPlexMatSetClosure_Internal() in src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages